Subject: bug#66636: Move lexical-binding warning from checkdoc to byte-compiler

From: Stefan Monnier <[email-masked]>
Date: Sat, 21 Oct 2023 11:44:55 -0400

> If specifying lexical-binding:nil in the first line is the solution
> for those who want to keep dynamically-bound code, then yes, it should
> be definitely in NEWS, and probably also in the ELisp manual.

FWIW, I think this would be a disservice to them (and to ourselves).
In 99% of the cases it's just as easy to make the code work with
`lexical-binding:t`.

We do want to allow people to silence the warning with
`lexical-binding:nil`, but we don't want to encourage it.

        Stefan